Name:           tig
Version:        2.5.8
Release:        %mkrel 1
Summary:        Text-mode interface for git
License:        GPLv3
Group:          Development/Tools
URL:            https://jonas.github.io/tig/
Source:         https://github.com/jonas/tig/releases/download/tig-%{version}/tig-%{version}.tar.gz
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
Tig is a git repository browser that additionally can act as a pager for output
from various git commands.

When browsing repositories, it uses the underlying git commands to present the
user with various views, such as summarized revision log and showing the commit
with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install install-doc-man

%files
%doc COPYING INSTALL.html NEWS.html README.html
%config(noreplace) %{_sysconfdir}/tigrc
%{_bindir}/tig
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*



%changelog
* Sat Feb 18 2023 guillomovitch <guillomovitch> 2.5.8-1.mga9
+ Revision: 1944000
- new version 2.5.8

* Wed Sep 07 2022 guillomovitch <guillomovitch> 2.5.7-1.mga9
+ Revision: 1885056
- new version 2.5.7

* Thu Jul 14 2022 guillomovitch <guillomovitch> 2.5.6-1.mga9
+ Revision: 1868853
- new version 2.5.6

* Sat Mar 19 2022 umeabot <umeabot> 2.5.5-2.mga9
+ Revision: 1799891
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 guillomovitch <guillomovitch> 2.5.5-1.mga9
+ Revision: 1768434
- new version 2.5.5

* Tue Jul 13 2021 guillomovitch <guillomovitch> 2.5.4-1.mga9
+ Revision: 1735933
- new version 2.5.4

* Thu Mar 11 2021 guillomovitch <guillomovitch> 2.5.3-1.mga9
+ Revision: 1701584
- new version 2.5.3

* Fri May 08 2020 guillomovitch <guillomovitch> 2.5.1-2.mga8
+ Revision: 1581703
- new version 2.5.1

* Tue Feb 18 2020 umeabot <umeabot> 2.5.0-2.mga8
+ Revision: 1538441
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 22 2019 guillomovitch <guillomovitch> 2.5.0-1.mga8
+ Revision: 1462143
- new version 2.5.0

* Thu Nov 15 2018 guillomovitch <guillomovitch> 2.4.1-1.mga7
+ Revision: 1330069
- new version 2.4.1

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1301409
- Mageia 7 Mass Rebuild

* Wed Oct 25 2017 guillomovitch <guillomovitch> 2.3.0-1.mga7
+ Revision: 1173573
- new version 2.3.0

* Tue Jul 18 2017 guillomovitch <guillomovitch> 2.2.2-1.mga7
+ Revision: 1124763
- new version 2.2.2

* Fri Nov 11 2016 guillomovitch <guillomovitch> 2.2-1.mga6
+ Revision: 1066351
- new version 2.2

* Fri Feb 12 2016 umeabot <umeabot> 2.1.1-2.mga6
+ Revision: 958990
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 guillomovitch <guillomovitch> 2.1.1-1.mga6
+ Revision: 839143
- new version 2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 749710
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 guillomovitch <guillomovitch> 2.0.3-1.mga5
+ Revision: 737178
- new version 2.0.3

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 689880
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 guillomovitch <guillomovitch> 2.0.2-1.mga5
+ Revision: 638046
- new version 2.0.2

* Sun Jan 05 2014 guillomovitch <guillomovitch> 1.2.1-3.mga4
+ Revision: 564721
- add another build dependency to fix utf-8 handling (#12190)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 533465
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 guillomovitch <guillomovitch> 1.2.1-1.mga4
+ Revision: 473531
- new version

* Tue Aug 13 2013 guillomovitch <guillomovitch> 1.2-1.mga4
+ Revision: 466045
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 384573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 1.1-2.mga3
+ Revision: 308623
- update RPM group

* Mon Oct 15 2012 guillomovitch <guillomovitch> 1.1-1.mga3
+ Revision: 306424
- new version

* Wed May 30 2012 guillomovitch <guillomovitch> 1.0-1.mga3
+ Revision: 250154
- new version

* Wed Feb 29 2012 guillomovitch <guillomovitch> 0.18-1.mga2
+ Revision: 216155
- imported package tig


* Thu Aug 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdv2011.0
- new version
